### Virtual Method

# Foundry DiagnosticProvider list_all

since: 1.1

#### Declaration [src]

    DexFuture*
    list_all (
      FoundryDiagnosticProvider* self
    )

#### Description [src]

Lists all diagnostics known to the provider for the project.

This is useful for applications which want to show a project-wide list of diagnostics. Providers are encouraged to have this information cached rather than try to scan the whole project when requested.

For example, diagnostics for a build may include results from the most recent build request.

It is encouraged that providers update the listmodel as new diagnostics are made available.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryDiagnostic`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.